Skip to Content
Tracira
API referenceRules

Update a rule

patchhttps://www.tracira.com/api/rules/{id}
PATCH
/api/rules/{id}

Authorization

sessionAuth
cookiebetter-auth.session_token<token>

Browser session cookie used by logged-in Tracira users. Secure-prefixed variants may also be used by the browser.

Path Parameters

id*string

Request Body

application/json
  1. body
name?string
type?string
Value in"keyword_required""keyword_forbidden""regex_match""length_limit""confidence_threshold""llm_judge""json_field""json_field_keyword_required""json_field_keyword_forbidden"
description?string
value?string
isActive?boolean
projectId?string|null
projectName?string|null
taskName?string|null
llmJudgeProvider?|
Value in"anthropic""openai""openrouter"
llmJudgeModel?string|null

Response Body

Rule updated.

application/json
  1. response
ok*boolean
curl -X PATCH 'https://www.tracira.com/api/rules/3c9e5a72-6d18-4f0b-b2a4-7e51d8c06f94' \  -H 'Content-Type: application/json' \  -d '{  "isActive": false}'
Example Response
{  "ok": true}